Apache NiFi REST API
REST API definition for Apache NiFi web services
Version: 2.7.2
Apache 2.0
https://www.apache.org/licenses/LICENSE-2.0.html
Access
- HTTP Authorization header with Bearer scheme and JSON Web Token
- HTTP session cookie named __Secure-Authorization-Bearer with JSON Web Token
[ Jump to Models ]
Table of Contents
Creates a token for accessing the REST API via username/password (createAccessToken)
The token returned is formatted as a JSON Web Token (JWT). The token is base64 encoded and comprised of three parts. The header, the body, and the signature. The expiration of the token is a contained within the body. It is stored in the browser as a cookie, but also returned inthe response body to be stored/used by third party client scripts.
Consumes
This API call consumes the following media types via the request header:
application/x-www-form-urlencoded
Form parameters
password (optional)
Form Parameter —
username (optional)
Form Parameter —
Return type
String
Example data
Content-Type: application/json
""
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
String
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
500
Unable to create access token because an unexpected error occurred.
Performs a logout for other providers that have been issued a JWT. (logOut)
Note: This endpoint is subject to change as NiFi and it's REST API evolve.
Query parameters
Responses
200
User was logged out successfully.
401
Authentication token provided was empty or not in the correct JWT format.
500
Client failed to log out.
Up
get /access/logout/complete
Completes the logout sequence by removing the cached Logout Request and Cookie if they existed and redirects to /nifi/login. (logOutComplete)
Note: This endpoint is subject to change as NiFi and it's REST API evolve.
Query parameters
Responses
302
User was logged out successfully.
401
Authentication token provided was empty or not in the correct JWT format.
500
Client failed to log out.
Up
get /authentication/configuration
Retrieves the authentication configuration endpoint and status information (getAuthenticationConfiguration)
Return type
Example data
Content-Type: application/json
{
"authenticationConfiguration" : {
"logoutUri" : "logoutUri",
"loginUri" : "loginUri",
"externalLoginRequired" : true,
"loginSupported" : true
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
default
AuthenticationConfigurationEntity
Up
delete /connections/{id}
Deletes a connection (deleteConnection)
Path parameters
id (required)
Path Parameter — The connection id.
Query parameters
version (optional)
Query Parameter — The revision is used to verify the client is working with the latest version of the flow.
clientId (optional)
Query Parameter — If the client id is not specified, new one will be generated. This value (whether specified or generated) is included in the response.
disconnectedNodeAcknowledged (optional)
Query Parameter — Acknowledges that this node is disconnected to allow for mutable requests to proceed. default: false
Return type
Example data
Content-Type: application/json
{
"sourceId" : "sourceId",
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"destinationGroupId" : "destinationGroupId",
"labelIndex" : 3,
"destinationId" : "destinationId",
"uri" : "uri",
"bends" : [ {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
}, {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
} ],
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
},
"disconnectedNodeAcknowledged" : true,
"component" : {
"prioritizers" : [ "prioritizers", "prioritizers" ],
"flowFileExpiration" : "flowFileExpiration",
"selectedRelationships" : [ "selectedRelationships", "selectedRelationships" ],
"loadBalanceCompression" : "loadBalanceCompression",
"destination" : {
"running" : true,
"comments" : "comments",
"groupId" : "groupId",
"versionedComponentId" : "versionedComponentId",
"name" : "name",
"transmitting" : true,
"exists" : true,
"id" : "id",
"type" : "PROCESSOR"
},
"availableRelationships" : [ "availableRelationships", "availableRelationships" ],
"backPressureDataSizeThreshold" : "backPressureDataSizeThreshold",
"loadBalanceStrategy" : "loadBalanceStrategy",
"parentGroupId" : "parentGroupId",
"labelIndex" : 7,
"bends" : [ null, null ],
"loadBalanceStatus" : "loadBalanceStatus",
"backPressureObjectThreshold" : 5,
"getzIndex" : 2,
"versionedComponentId" : "versionedComponentId",
"name" : "name",
"id" : "id",
"retriedRelationships" : [ "retriedRelationships", "retriedRelationships" ],
"loadBalancePartitionAttribute" : "loadBalancePartitionAttribute"
},
"sourceType" : "PROCESSOR",
"permissions" : {
"canRead" : true,
"canWrite" : true
},
"getzIndex" : 9,
"destinationType" : "PROCESSOR",
"id" : "id",
"sourceGroupId" : "sourceGroupId",
"status" : {
"sourceId" : "sourceId",
"destinationName" : "destinationName",
"groupId" : "groupId",
"name" : "name",
"nodeSnapshots" : [ {
"address" : "address",
"apiPort" : 6,
"nodeId" : "nodeId"
}, {
"address" : "address",
"apiPort" : 6,
"nodeId" : "nodeId"
} ],
"aggregateSnapshot" : {
"sourceId" : "sourceId",
"groupId" : "groupId",
"queued" : "queued",
"percentUseCount" : 1,
"destinationId" : "destinationId",
"predictions" : {
"predictedBytesAtNextInterval" : 4,
"predictionIntervalSeconds" : 9,
"predictedPercentBytes" : 6,
"predictedPercentCount" : 8,
"predictedMillisUntilCountBackpressure" : 9,
"predictedCountAtNextInterval" : 5,
"predictedMillisUntilBytesBackpressure" : 9
},
"output" : "output",
"input" : "input",
"loadBalanceStatus" : "LOAD_BALANCE_NOT_CONFIGURED",
"percentUseBytes" : 7,
"flowFileAvailability" : "flowFileAvailability",
"destinationName" : "destinationName",
"queuedCount" : "queuedCount",
"queuedSize" : "queuedSize",
"flowFilesQueued" : 6,
"name" : "name",
"flowFilesIn" : 1,
"id" : "id",
"sourceName" : "sourceName",
"flowFilesOut" : 1,
"bytesIn" : 4,
"bytesOut" : 7,
"bytesQueued" : 1
},
"id" : "id",
"sourceName" : "sourceName",
"destinationId" : "destinationId",
"statsLastRefreshed" : "statsLastRefreshed"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
ConnectionEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Gets a connection (getConnection)
Path parameters
id (required)
Path Parameter — The connection id.
Query parameters
Return type
Example data
Content-Type: application/json
{
"sourceId" : "sourceId",
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"destinationGroupId" : "destinationGroupId",
"labelIndex" : 3,
"destinationId" : "destinationId",
"uri" : "uri",
"bends" : [ {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
}, {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
} ],
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
},
"disconnectedNodeAcknowledged" : true,
"component" : {
"prioritizers" : [ "prioritizers", "prioritizers" ],
"flowFileExpiration" : "flowFileExpiration",
"selectedRelationships" : [ "selectedRelationships", "selectedRelationships" ],
"loadBalanceCompression" : "loadBalanceCompression",
"destination" : {
"running" : true,
"comments" : "comments",
"groupId" : "groupId",
"versionedComponentId" : "versionedComponentId",
"name" : "name",
"transmitting" : true,
"exists" : true,
"id" : "id",
"type" : "PROCESSOR"
},
"availableRelationships" : [ "availableRelationships", "availableRelationships" ],
"backPressureDataSizeThreshold" : "backPressureDataSizeThreshold",
"loadBalanceStrategy" : "loadBalanceStrategy",
"parentGroupId" : "parentGroupId",
"labelIndex" : 7,
"bends" : [ null, null ],
"loadBalanceStatus" : "loadBalanceStatus",
"backPressureObjectThreshold" : 5,
"getzIndex" : 2,
"versionedComponentId" : "versionedComponentId",
"name" : "name",
"id" : "id",
"retriedRelationships" : [ "retriedRelationships", "retriedRelationships" ],
"loadBalancePartitionAttribute" : "loadBalancePartitionAttribute"
},
"sourceType" : "PROCESSOR",
"permissions" : {
"canRead" : true,
"canWrite" : true
},
"getzIndex" : 9,
"destinationType" : "PROCESSOR",
"id" : "id",
"sourceGroupId" : "sourceGroupId",
"status" : {
"sourceId" : "sourceId",
"destinationName" : "destinationName",
"groupId" : "groupId",
"name" : "name",
"nodeSnapshots" : [ {
"address" : "address",
"apiPort" : 6,
"nodeId" : "nodeId"
}, {
"address" : "address",
"apiPort" : 6,
"nodeId" : "nodeId"
} ],
"aggregateSnapshot" : {
"sourceId" : "sourceId",
"groupId" : "groupId",
"queued" : "queued",
"percentUseCount" : 1,
"destinationId" : "destinationId",
"predictions" : {
"predictedBytesAtNextInterval" : 4,
"predictionIntervalSeconds" : 9,
"predictedPercentBytes" : 6,
"predictedPercentCount" : 8,
"predictedMillisUntilCountBackpressure" : 9,
"predictedCountAtNextInterval" : 5,
"predictedMillisUntilBytesBackpressure" : 9
},
"output" : "output",
"input" : "input",
"loadBalanceStatus" : "LOAD_BALANCE_NOT_CONFIGURED",
"percentUseBytes" : 7,
"flowFileAvailability" : "flowFileAvailability",
"destinationName" : "destinationName",
"queuedCount" : "queuedCount",
"queuedSize" : "queuedSize",
"flowFilesQueued" : 6,
"name" : "name",
"flowFilesIn" : 1,
"id" : "id",
"sourceName" : "sourceName",
"flowFilesOut" : 1,
"bytesIn" : 4,
"bytesOut" : 7,
"bytesQueued" : 1
},
"id" : "id",
"sourceName" : "sourceName",
"destinationId" : "destinationId",
"statsLastRefreshed" : "statsLastRefreshed"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
ConnectionEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Updates a connection (updateConnection)
Path parameters
id (required)
Path Parameter — The connection id.
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — The connection configuration details.
Query parameters
Return type
Example data
Content-Type: application/json
{
"sourceId" : "sourceId",
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"destinationGroupId" : "destinationGroupId",
"labelIndex" : 3,
"destinationId" : "destinationId",
"uri" : "uri",
"bends" : [ {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
}, {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
} ],
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
},
"disconnectedNodeAcknowledged" : true,
"component" : {
"prioritizers" : [ "prioritizers", "prioritizers" ],
"flowFileExpiration" : "flowFileExpiration",
"selectedRelationships" : [ "selectedRelationships", "selectedRelationships" ],
"loadBalanceCompression" : "loadBalanceCompression",
"destination" : {
"running" : true,
"comments" : "comments",
"groupId" : "groupId",
"versionedComponentId" : "versionedComponentId",
"name" : "name",
"transmitting" : true,
"exists" : true,
"id" : "id",
"type" : "PROCESSOR"
},
"availableRelationships" : [ "availableRelationships", "availableRelationships" ],
"backPressureDataSizeThreshold" : "backPressureDataSizeThreshold",
"loadBalanceStrategy" : "loadBalanceStrategy",
"parentGroupId" : "parentGroupId",
"labelIndex" : 7,
"bends" : [ null, null ],
"loadBalanceStatus" : "loadBalanceStatus",
"backPressureObjectThreshold" : 5,
"getzIndex" : 2,
"versionedComponentId" : "versionedComponentId",
"name" : "name",
"id" : "id",
"retriedRelationships" : [ "retriedRelationships", "retriedRelationships" ],
"loadBalancePartitionAttribute" : "loadBalancePartitionAttribute"
},
"sourceType" : "PROCESSOR",
"permissions" : {
"canRead" : true,
"canWrite" : true
},
"getzIndex" : 9,
"destinationType" : "PROCESSOR",
"id" : "id",
"sourceGroupId" : "sourceGroupId",
"status" : {
"sourceId" : "sourceId",
"destinationName" : "destinationName",
"groupId" : "groupId",
"name" : "name",
"nodeSnapshots" : [ {
"address" : "address",
"apiPort" : 6,
"nodeId" : "nodeId"
}, {
"address" : "address",
"apiPort" : 6,
"nodeId" : "nodeId"
} ],
"aggregateSnapshot" : {
"sourceId" : "sourceId",
"groupId" : "groupId",
"queued" : "queued",
"percentUseCount" : 1,
"destinationId" : "destinationId",
"predictions" : {
"predictedBytesAtNextInterval" : 4,
"predictionIntervalSeconds" : 9,
"predictedPercentBytes" : 6,
"predictedPercentCount" : 8,
"predictedMillisUntilCountBackpressure" : 9,
"predictedCountAtNextInterval" : 5,
"predictedMillisUntilBytesBackpressure" : 9
},
"output" : "output",
"input" : "input",
"loadBalanceStatus" : "LOAD_BALANCE_NOT_CONFIGURED",
"percentUseBytes" : 7,
"flowFileAvailability" : "flowFileAvailability",
"destinationName" : "destinationName",
"queuedCount" : "queuedCount",
"queuedSize" : "queuedSize",
"flowFilesQueued" : 6,
"name" : "name",
"flowFilesIn" : 1,
"id" : "id",
"sourceName" : "sourceName",
"flowFilesOut" : 1,
"bytesIn" : 4,
"bytesOut" : 7,
"bytesQueued" : 1
},
"id" : "id",
"sourceName" : "sourceName",
"destinationId" : "destinationId",
"statsLastRefreshed" : "statsLastRefreshed"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
ConnectionEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
post /controller/flow-analysis-rules/{id}/config/analysis
Performs analysis of the component's configuration, providing information about which attributes are referenced. (analyzeFlowAnalysisRuleConfiguration)
Path parameters
id (required)
Path Parameter — The flow analysis rules id.
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — The configuration analysis request.
Query parameters
Return type
Example data
Content-Type: application/json
{
"configurationAnalysis" : {
"componentId" : "componentId",
"referencedAttributes" : {
"key" : "referencedAttributes"
},
"supportsVerification" : true,
"properties" : {
"key" : "properties"
}
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
ConfigurationAnalysisEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
post /controller/registry-clients/{id}/config/analysis
Performs analysis of the component's configuration, providing information about which attributes are referenced. (analyzeFlowRegistryClientConfiguration)
Path parameters
id (required)
Path Parameter — The registry client id.
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — The configuration analysis request.
Query parameters
Return type
Example data
Content-Type: application/json
{
"configurationAnalysis" : {
"componentId" : "componentId",
"referencedAttributes" : {
"key" : "referencedAttributes"
},
"supportsVerification" : true,
"properties" : {
"key" : "properties"
}
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
ConfigurationAnalysisEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
post /controller/flow-analysis-rules/{id}/bulletins/clear-requests
Clears bulletins for a flow analysis rule (clearFlowAnalysisRuleBulletins)
Path parameters
id (required)
Path Parameter — The flow analysis rule id.
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — The request to clear bulletins.
Query parameters
Return type
Example data
Content-Type: application/json
{
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"componentId" : "componentId",
"bulletinsCleared" : 0
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
ClearBulletinsResultEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
post /controller/parameter-providers/{id}/bulletins/clear-requests
Clears bulletins for a parameter provider (clearParameterProviderBulletins)
Path parameters
id (required)
Path Parameter — The parameter provider id.
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — The request to clear bulletins.
Query parameters
Return type
Example data
Content-Type: application/json
{
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"componentId" : "componentId",
"bulletinsCleared" : 0
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
ClearBulletinsResultEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
post /controller/registry-clients/{id}/bulletins/clear-requests
Clears bulletins for a registry client (clearRegistryClientBulletins)
Path parameters
id (required)
Path Parameter — The registry client id.
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — The request to clear bulletins.
Query parameters
Return type
Example data
Content-Type: application/json
{
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"componentId" : "componentId",
"bulletinsCleared" : 0
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
ClearBulletinsResultEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
post /controller/flow-analysis-rules/{id}/state/clear-requests
Clears the state for a flow analysis rule (clearState)
Path parameters
id (required)
Path Parameter — The flow analysis rule id.
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — Optional component state to perform a selective key removal. If omitted, clears all state.
Query parameters
Return type
Example data
Content-Type: application/json
{
"componentState" : {
"componentId" : "componentId",
"dropStateKeySupported" : true,
"stateDescription" : "stateDescription",
"clusterState" : {
"totalEntryCount" : 0,
"scope" : "scope",
"state" : [ {
"clusterNodeId" : "clusterNodeId",
"clusterNodeAddress" : "clusterNodeAddress",
"value" : "value",
"key" : "key"
}, {
"clusterNodeId" : "clusterNodeId",
"clusterNodeAddress" : "clusterNodeAddress",
"value" : "value",
"key" : "key"
} ]
}
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
ComponentStateEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
post /controller/bulletin
Creates a new bulletin (createBulletin)
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — The reporting task configuration details.
Query parameters
Return type
Example data
Content-Type: application/json
{
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
BulletinEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
post /controller/controller-services
Creates a new controller service (createControllerService)
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — The controller service configuration details.
Query parameters
Return type
Example data
Content-Type: application/json
{
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"bulletinLevel" : "bulletinLevel",
"deprecated" : true,
"multipleVersionsAvailable" : true,
"extensionMissing" : true,
"type" : "type",
"descriptors" : {
"key" : {
"supportsEl" : true,
"defaultValue" : "defaultValue",
"displayName" : "displayName",
"expressionLanguageScope" : "expressionLanguageScope",
"description" : "description",
"sensitive" : true,
"required" : true,
"dependencies" : [ {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
}, {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
} ],
"allowableValues" : [ {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
}, {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
} ],
"identifiesControllerService" : "identifiesControllerService",
"name" : "name",
"dynamic" : true
}
},
"controllerServiceApis" : [ {
"type" : "type"
}, {
"type" : "type"
} ],
"sensitiveDynamicPropertyNames" : [ "sensitiveDynamicPropertyNames", "sensitiveDynamicPropertyNames" ],
"supportsSensitiveDynamicProperties" : true,
"versionedComponentId" : "versionedComponentId",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"state" : "ENABLED",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"referencingComponents" : [ {
"bulletins" : [ null, null ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"descriptors" : { },
"referenceCycle" : true,
"activeThreadCount" : 0,
"groupId" : "groupId",
"name" : "name",
"referenceType" : "Processor",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"state" : "state",
"type" : "type",
"referencingComponents" : [ null, null ],
"properties" : {
"key" : "properties"
}
},
"id" : "id",
"uri" : "uri",
"operatePermissions" : {
"canRead" : true,
"canWrite" : true
},
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
}
}, {
"bulletins" : [ null, null ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"descriptors" : { },
"referenceCycle" : true,
"activeThreadCount" : 0,
"groupId" : "groupId",
"name" : "name",
"referenceType" : "Processor",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"state" : "state",
"type" : "type",
"referencingComponents" : [ null, null ],
"properties" : {
"key" : "properties"
}
},
"id" : "id",
"uri" : "uri",
"operatePermissions" : {
"canRead" : true,
"canWrite" : true
},
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
}
} ],
"validationStatus" : "VALID",
"annotationData" : "annotationData",
"comments" : "comments",
"parentGroupId" : "parentGroupId",
"customUiUrl" : "customUiUrl",
"restricted" : true,
"name" : "name",
"position" : {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
},
"persistsState" : true,
"properties" : {
"key" : "properties"
}
},
"parentGroupId" : "parentGroupId",
"id" : "id",
"uri" : "uri",
"status" : {
"activeThreadCount" : 6,
"validationStatus" : "VALID",
"runStatus" : "ENABLED"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
ControllerServiceEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
post /controller/flow-analysis-rules
Creates a new flow analysis rule (createFlowAnalysisRule)
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — The flow analysis rule configuration details.
Query parameters
Return type
Example data
Content-Type: application/json
{
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"comments" : "comments",
"deprecated" : true,
"enforcementPolicy" : "enforcementPolicy",
"parentGroupId" : "parentGroupId",
"multipleVersionsAvailable" : true,
"extensionMissing" : true,
"type" : "type",
"descriptors" : {
"key" : {
"supportsEl" : true,
"defaultValue" : "defaultValue",
"displayName" : "displayName",
"expressionLanguageScope" : "expressionLanguageScope",
"description" : "description",
"sensitive" : true,
"required" : true,
"dependencies" : [ {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
}, {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
} ],
"allowableValues" : [ {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
}, {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
} ],
"identifiesControllerService" : "identifiesControllerService",
"name" : "name",
"dynamic" : true
}
},
"sensitiveDynamicPropertyNames" : [ "sensitiveDynamicPropertyNames", "sensitiveDynamicPropertyNames" ],
"restricted" : true,
"supportsSensitiveDynamicProperties" : true,
"versionedComponentId" : "versionedComponentId",
"name" : "name",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"position" : {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
},
"state" : "ENABLED",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"persistsState" : true,
"validationStatus" : "VALID",
"properties" : {
"key" : "properties"
}
},
"id" : "id",
"uri" : "uri",
"operatePermissions" : {
"canRead" : true,
"canWrite" : true
},
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
},
"status" : {
"activeThreadCount" : 0,
"validationStatus" : "VALID",
"runStatus" : "ENABLED"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
FlowAnalysisRuleEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
post /controller/registry-clients
Creates a new flow registry client (createFlowRegistryClient)
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — The flow registry client configuration details.
Query parameters
Return type
Example data
Content-Type: application/json
{
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"annotationData" : "annotationData",
"deprecated" : true,
"description" : "description",
"multipleVersionsAvailable" : true,
"extensionMissing" : true,
"type" : "type",
"descriptors" : {
"key" : {
"supportsEl" : true,
"defaultValue" : "defaultValue",
"displayName" : "displayName",
"expressionLanguageScope" : "expressionLanguageScope",
"description" : "description",
"sensitive" : true,
"required" : true,
"dependencies" : [ {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
}, {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
} ],
"allowableValues" : [ {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
}, {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
} ],
"identifiesControllerService" : "identifiesControllerService",
"name" : "name",
"dynamic" : true
}
},
"sensitiveDynamicPropertyNames" : [ "sensitiveDynamicPropertyNames", "sensitiveDynamicPropertyNames" ],
"restricted" : true,
"supportsBranching" : true,
"supportsSensitiveDynamicProperties" : true,
"name" : "name",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"validationStatus" : "VALID",
"properties" : {
"key" : "properties"
}
},
"id" : "id",
"position" : {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
},
"uri" : "uri",
"operatePermissions" : {
"canRead" : true,
"canWrite" : true
},
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
FlowRegistryClientEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
post /controller/parameter-providers
Creates a new parameter provider (createParameterProvider)
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — The parameter provider configuration details.
Query parameters
Return type
Example data
Content-Type: application/json
{
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"annotationData" : "annotationData",
"comments" : "comments",
"deprecated" : true,
"parameterStatus" : [ {
"parameter" : {
"parameter" : {
"referencedAssets" : [ {
"name" : "name",
"id" : "id"
}, {
"name" : "name",
"id" : "id"
} ],
"valueRemoved" : true,
"inherited" : true,
"provided" : true,
"name" : "name",
"description" : "description",
"sensitive" : true,
"referencingComponents" : [ null, null ],
"value" : "value",
"parameterContext" : {
"component" : {
"name" : "name",
"id" : "id"
},
"id" : "id"
}
},
"canWrite" : true
},
"status" : "NEW"
}, {
"parameter" : {
"parameter" : {
"referencedAssets" : [ {
"name" : "name",
"id" : "id"
}, {
"name" : "name",
"id" : "id"
} ],
"valueRemoved" : true,
"inherited" : true,
"provided" : true,
"name" : "name",
"description" : "description",
"sensitive" : true,
"referencingComponents" : [ null, null ],
"value" : "value",
"parameterContext" : {
"component" : {
"name" : "name",
"id" : "id"
},
"id" : "id"
}
},
"canWrite" : true
},
"status" : "NEW"
} ],
"parentGroupId" : "parentGroupId",
"multipleVersionsAvailable" : true,
"extensionMissing" : true,
"type" : "type",
"affectedComponents" : [ {
"bulletins" : [ null, null ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"activeThreadCount" : 0,
"processGroupId" : "processGroupId",
"name" : "name",
"referenceType" : "PROCESSOR",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"state" : "state"
},
"permissions" : {
"canRead" : true,
"canWrite" : true
},
"referenceType" : "PROCESSOR",
"id" : "id",
"position" : {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
},
"processGroup" : {
"name" : "name",
"id" : "id"
},
"uri" : "uri",
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
}
}, {
"bulletins" : [ null, null ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"activeThreadCount" : 0,
"processGroupId" : "processGroupId",
"name" : "name",
"referenceType" : "PROCESSOR",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"state" : "state"
},
"permissions" : {
"canRead" : true,
"canWrite" : true
},
"referenceType" : "PROCESSOR",
"id" : "id",
"position" : {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
},
"processGroup" : {
"name" : "name",
"id" : "id"
},
"uri" : "uri",
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
}
} ],
"customUiUrl" : "customUiUrl",
"descriptors" : {
"key" : {
"supportsEl" : true,
"defaultValue" : "defaultValue",
"displayName" : "displayName",
"expressionLanguageScope" : "expressionLanguageScope",
"description" : "description",
"sensitive" : true,
"required" : true,
"dependencies" : [ {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
}, {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
} ],
"allowableValues" : [ {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
}, {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
} ],
"identifiesControllerService" : "identifiesControllerService",
"name" : "name",
"dynamic" : true
}
},
"referencingParameterContexts" : [ {
"bulletins" : [ null, null ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"name" : "name",
"id" : "id"
},
"id" : "id",
"uri" : "uri"
}, {
"bulletins" : [ null, null ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"name" : "name",
"id" : "id"
},
"id" : "id",
"uri" : "uri"
} ],
"parameterGroupConfigurations" : [ {
"synchronized" : true,
"groupName" : "groupName",
"parameterSensitivities" : {
"key" : "SENSITIVE"
},
"parameterContextName" : "parameterContextName"
}, {
"synchronized" : true,
"groupName" : "groupName",
"parameterSensitivities" : {
"key" : "SENSITIVE"
},
"parameterContextName" : "parameterContextName"
} ],
"restricted" : true,
"versionedComponentId" : "versionedComponentId",
"name" : "name",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"persistsState" : true,
"validationStatus" : "VALID",
"properties" : {
"key" : "properties"
}
},
"id" : "id",
"uri" : "uri"
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
ParameterProviderEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
post /controller/reporting-tasks
Creates a new reporting task (createReportingTask)
Consumes
This API call consumes the following media types via the request header:
Request body
Body Parameter — The reporting task configuration details.
Query parameters
Return type
Example data
Content-Type: application/json
{
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"deprecated" : true,
"defaultSchedulingPeriod" : {
"key" : "defaultSchedulingPeriod"
},
"multipleVersionsAvailable" : true,
"extensionMissing" : true,
"type" : "type",
"descriptors" : {
"key" : {
"supportsEl" : true,
"defaultValue" : "defaultValue",
"displayName" : "displayName",
"expressionLanguageScope" : "expressionLanguageScope",
"description" : "description",
"sensitive" : true,
"required" : true,
"dependencies" : [ {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
}, {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
} ],
"allowableValues" : [ {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
}, {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
} ],
"identifiesControllerService" : "identifiesControllerService",
"name" : "name",
"dynamic" : true
}
},
"sensitiveDynamicPropertyNames" : [ "sensitiveDynamicPropertyNames", "sensitiveDynamicPropertyNames" ],
"supportsSensitiveDynamicProperties" : true,
"versionedComponentId" : "versionedComponentId",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"state" : "RUNNING",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"validationStatus" : "VALID",
"annotationData" : "annotationData",
"comments" : "comments",
"activeThreadCount" : 0,
"parentGroupId" : "parentGroupId",
"customUiUrl" : "customUiUrl",
"restricted" : true,
"schedulingStrategy" : "schedulingStrategy",
"name" : "name",
"schedulingPeriod" : "schedulingPeriod",
"position" : {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
},
"persistsState" : true,
"properties" : {
"key" : "properties"
}
},
"id" : "id",
"uri" : "uri",
"operatePermissions" : {
"canRead" : true,
"canWrite" : true
},
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
},
"status" : {
"activeThreadCount" : 6,
"validationStatus" : "VALID",
"runStatus" : "RUNNING"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
201
ReportingTaskEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
delete /controller/flow-analysis-rules/{id}/config/verification-requests/{requestId}
Deletes the Verification Request with the given ID (deleteFlowAnalysisRuleVerificationRequest)
Deletes the Verification Request with the given ID. After a request is created, it is expected that the client will properly clean up the request by DELETE'ing it, once the Verification process has completed. If the request is deleted before the request completes, then the Verification request will finish the step that it is currently performing and then will cancel any subsequent steps.
Path parameters
id (required)
Path Parameter — The ID of the Flow Analysis Rule
requestId (required)
Path Parameter — The ID of the Verification Request
Query parameters
Return type
Example data
Content-Type: application/json
{
"request" : {
"percentCompleted" : 0,
"componentId" : "componentId",
"uri" : "uri",
"submissionTime" : "2000-01-23T04:56:07.000+00:00",
"lastUpdated" : "2000-01-23T04:56:07.000+00:00",
"requestId" : "requestId",
"updateSteps" : [ {
"failureReason" : "failureReason",
"description" : "description",
"complete" : true
}, {
"failureReason" : "failureReason",
"description" : "description",
"complete" : true
} ],
"failureReason" : "failureReason",
"attributes" : {
"key" : "attributes"
},
"state" : "state",
"complete" : true,
"results" : [ {
"verificationStepName" : "verificationStepName",
"explanation" : "explanation",
"outcome" : "SUCCESSFUL"
}, {
"verificationStepName" : "verificationStepName",
"explanation" : "explanation",
"outcome" : "SUCCESSFUL"
} ],
"properties" : {
"key" : "properties"
}
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
VerifyConfigRequestEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
delete /controller/registry-clients/{id}
Deletes a flow registry client (deleteFlowRegistryClient)
Path parameters
id (required)
Path Parameter — The flow registry client id.
Query parameters
version (optional)
Query Parameter — The revision is used to verify the client is working with the latest version of the flow.
clientId (optional)
Query Parameter — If the client id is not specified, new one will be generated. This value (whether specified or generated) is included in the response.
disconnectedNodeAcknowledged (optional)
Query Parameter — Acknowledges that this node is disconnected to allow for mutable requests to proceed. default: false
Return type
Example data
Content-Type: application/json
{
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"annotationData" : "annotationData",
"deprecated" : true,
"description" : "description",
"multipleVersionsAvailable" : true,
"extensionMissing" : true,
"type" : "type",
"descriptors" : {
"key" : {
"supportsEl" : true,
"defaultValue" : "defaultValue",
"displayName" : "displayName",
"expressionLanguageScope" : "expressionLanguageScope",
"description" : "description",
"sensitive" : true,
"required" : true,
"dependencies" : [ {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
}, {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
} ],
"allowableValues" : [ {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
}, {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
} ],
"identifiesControllerService" : "identifiesControllerService",
"name" : "name",
"dynamic" : true
}
},
"sensitiveDynamicPropertyNames" : [ "sensitiveDynamicPropertyNames", "sensitiveDynamicPropertyNames" ],
"restricted" : true,
"supportsBranching" : true,
"supportsSensitiveDynamicProperties" : true,
"name" : "name",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"validationStatus" : "VALID",
"properties" : {
"key" : "properties"
}
},
"id" : "id",
"position" : {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
},
"uri" : "uri",
"operatePermissions" : {
"canRead" : true,
"canWrite" : true
},
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
FlowRegistryClientEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
delete /controller/history
Purges history (deleteHistory)
Query parameters
endDate (required)
Query Parameter — Purge actions before this date/time.
Return type
Example data
Content-Type: application/json
{
"history" : {
"lastRefreshed" : "lastRefreshed",
"total" : 1,
"actions" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"action" : {
"sourceId" : "sourceId",
"componentDetails" : { },
"sourceType" : "sourceType",
"actionDetails" : { },
"id" : 0,
"sourceName" : "sourceName",
"userIdentity" : "userIdentity",
"operation" : "operation",
"timestamp" : "timestamp"
},
"id" : 6,
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"action" : {
"sourceId" : "sourceId",
"componentDetails" : { },
"sourceType" : "sourceType",
"actionDetails" : { },
"id" : 0,
"sourceName" : "sourceName",
"userIdentity" : "userIdentity",
"operation" : "operation",
"timestamp" : "timestamp"
},
"id" : 6,
"timestamp" : "timestamp"
} ]
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
HistoryEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
delete /controller/nar-manager/nars/{id}
Deletes an installed NAR (deleteNar)
Path parameters
id (required)
Path Parameter — The id of the NAR.
Query parameters
disconnectedNodeAcknowledged (optional)
Query Parameter — default: false
force (optional)
Query Parameter — default: false
Return type
Example data
Content-Type: application/json
{
"narSummary" : {
"identifier" : "identifier",
"coordinate" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"installComplete" : true,
"sourceIdentifier" : "sourceIdentifier",
"buildTime" : "buildTime",
"createdBy" : "createdBy",
"sourceType" : "sourceType",
"digest" : "digest",
"extensionCount" : 0,
"state" : "state",
"failureMessage" : "failureMessage"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
NarSummaryEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
delete /controller/cluster/nodes/{id}
Removes a node from the cluster (deleteNode)
Path parameters
id (required)
Path Parameter — The node id.
Query parameters
Return type
Example data
Content-Type: application/json
{
"node" : {
"address" : "address",
"activeThreadCount" : 0,
"heartbeat" : "heartbeat",
"nodeStartTime" : "nodeStartTime",
"queued" : "queued",
"roles" : [ "roles", "roles" ],
"apiPort" : 6,
"connectionRequested" : "connectionRequested",
"flowFilesQueued" : 5,
"flowFileBytes" : 5,
"nodeId" : "nodeId",
"events" : [ {
"category" : "category",
"message" : "message",
"timestamp" : "timestamp"
}, {
"category" : "category",
"message" : "message",
"timestamp" : "timestamp"
} ],
"bytesQueued" : 1,
"status" : "status"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
NodeEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
delete /controller/registry-clients/{id}/config/verification-requests/{requestId}
Deletes the Verification Request with the given ID (deleteRegistryClientVerificationRequest)
Deletes the Verification Request with the given ID. After a request is created, it is expected that the client will properly clean up the request by DELETE'ing it, once the Verification process has completed. If the request is deleted before the request completes, then the Verification request will finish the step that it is currently performing and then will cancel any subsequent steps.
Path parameters
id (required)
Path Parameter — The ID of the Registry Client
requestId (required)
Path Parameter — The ID of the Verification Request
Query parameters
Return type
Example data
Content-Type: application/json
{
"request" : {
"percentCompleted" : 0,
"componentId" : "componentId",
"uri" : "uri",
"submissionTime" : "2000-01-23T04:56:07.000+00:00",
"lastUpdated" : "2000-01-23T04:56:07.000+00:00",
"requestId" : "requestId",
"updateSteps" : [ {
"failureReason" : "failureReason",
"description" : "description",
"complete" : true
}, {
"failureReason" : "failureReason",
"description" : "description",
"complete" : true
} ],
"failureReason" : "failureReason",
"attributes" : {
"key" : "attributes"
},
"state" : "state",
"complete" : true,
"results" : [ {
"verificationStepName" : "verificationStepName",
"explanation" : "explanation",
"outcome" : "SUCCESSFUL"
}, {
"verificationStepName" : "verificationStepName",
"explanation" : "explanation",
"outcome" : "SUCCESSFUL"
} ],
"properties" : {
"key" : "properties"
}
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
VerifyConfigRequestEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/nar-manager/nars/{id}/content
Retrieves the content of the NAR with the given id (downloadNar)
Path parameters
id (required)
Path Parameter — The id of the NAR.
Query parameters
Return type
byte[]
Example data
Content-Type: application/json
""
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
byte[]
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/cluster
Gets the contents of the cluster (getCluster)
Returns the contents of the cluster including all nodes and their status.
Query parameters
Return type
Example data
Content-Type: application/json
{
"cluster" : {
"nodes" : [ {
"address" : "address",
"activeThreadCount" : 0,
"heartbeat" : "heartbeat",
"nodeStartTime" : "nodeStartTime",
"queued" : "queued",
"roles" : [ "roles", "roles" ],
"apiPort" : 6,
"connectionRequested" : "connectionRequested",
"flowFilesQueued" : 5,
"flowFileBytes" : 5,
"nodeId" : "nodeId",
"events" : [ {
"category" : "category",
"message" : "message",
"timestamp" : "timestamp"
}, {
"category" : "category",
"message" : "message",
"timestamp" : "timestamp"
} ],
"bytesQueued" : 1,
"status" : "status"
}, {
"address" : "address",
"activeThreadCount" : 0,
"heartbeat" : "heartbeat",
"nodeStartTime" : "nodeStartTime",
"queued" : "queued",
"roles" : [ "roles", "roles" ],
"apiPort" : 6,
"connectionRequested" : "connectionRequested",
"flowFilesQueued" : 5,
"flowFileBytes" : 5,
"nodeId" : "nodeId",
"events" : [ {
"category" : "category",
"message" : "message",
"timestamp" : "timestamp"
}, {
"category" : "category",
"message" : "message",
"timestamp" : "timestamp"
} ],
"bytesQueued" : 1,
"status" : "status"
} ],
"generated" : "generated"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
ClusterEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/config
Retrieves the configuration for this NiFi Controller (getControllerConfig)
Query parameters
Return type
Example data
Content-Type: application/json
{
"disconnectedNodeAcknowledged" : true,
"component" : {
"maxTimerDrivenThreadCount" : 0
},
"permissions" : {
"canRead" : true,
"canWrite" : true
},
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
ControllerConfigurationEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/flow-analysis-rules/{id}
Gets a flow analysis rule (getFlowAnalysisRule)
Path parameters
id (required)
Path Parameter — The flow analysis rule id.
Query parameters
Return type
Example data
Content-Type: application/json
{
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"comments" : "comments",
"deprecated" : true,
"enforcementPolicy" : "enforcementPolicy",
"parentGroupId" : "parentGroupId",
"multipleVersionsAvailable" : true,
"extensionMissing" : true,
"type" : "type",
"descriptors" : {
"key" : {
"supportsEl" : true,
"defaultValue" : "defaultValue",
"displayName" : "displayName",
"expressionLanguageScope" : "expressionLanguageScope",
"description" : "description",
"sensitive" : true,
"required" : true,
"dependencies" : [ {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
}, {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
} ],
"allowableValues" : [ {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
}, {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
} ],
"identifiesControllerService" : "identifiesControllerService",
"name" : "name",
"dynamic" : true
}
},
"sensitiveDynamicPropertyNames" : [ "sensitiveDynamicPropertyNames", "sensitiveDynamicPropertyNames" ],
"restricted" : true,
"supportsSensitiveDynamicProperties" : true,
"versionedComponentId" : "versionedComponentId",
"name" : "name",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"position" : {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
},
"state" : "ENABLED",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"persistsState" : true,
"validationStatus" : "VALID",
"properties" : {
"key" : "properties"
}
},
"id" : "id",
"uri" : "uri",
"operatePermissions" : {
"canRead" : true,
"canWrite" : true
},
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
},
"status" : {
"activeThreadCount" : 0,
"validationStatus" : "VALID",
"runStatus" : "ENABLED"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
FlowAnalysisRuleEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/flow-analysis-rules/{id}/descriptors
Gets a flow analysis rule property descriptor (getFlowAnalysisRulePropertyDescriptor)
Path parameters
id (required)
Path Parameter — The flow analysis rule id.
Query parameters
propertyName (required)
Query Parameter — The property name.
sensitive (optional)
Query Parameter — Property Descriptor requested sensitive status
Return type
Example data
Content-Type: application/json
{
"propertyDescriptor" : {
"supportsEl" : true,
"defaultValue" : "defaultValue",
"displayName" : "displayName",
"expressionLanguageScope" : "expressionLanguageScope",
"description" : "description",
"sensitive" : true,
"required" : true,
"dependencies" : [ {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
}, {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
} ],
"allowableValues" : [ {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
}, {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
} ],
"identifiesControllerService" : "identifiesControllerService",
"name" : "name",
"dynamic" : true
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
PropertyDescriptorEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/flow-analysis-rules/{id}/state
Gets the state for a flow analysis rule (getFlowAnalysisRuleState)
Path parameters
id (required)
Path Parameter — The flow analysis rule id.
Query parameters
Return type
Example data
Content-Type: application/json
{
"componentState" : {
"componentId" : "componentId",
"dropStateKeySupported" : true,
"stateDescription" : "stateDescription",
"clusterState" : {
"totalEntryCount" : 0,
"scope" : "scope",
"state" : [ {
"clusterNodeId" : "clusterNodeId",
"clusterNodeAddress" : "clusterNodeAddress",
"value" : "value",
"key" : "key"
}, {
"clusterNodeId" : "clusterNodeId",
"clusterNodeAddress" : "clusterNodeAddress",
"value" : "value",
"key" : "key"
} ]
}
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
ComponentStateEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/flow-analysis-rules/{id}/config/verification-requests/{requestId}
Returns the Verification Request with the given ID (getFlowAnalysisRuleVerificationRequest)
Returns the Verification Request with the given ID. Once an Verification Request has been created, that request can subsequently be retrieved via this endpoint, and the request that is fetched will contain the updated state, such as percent complete, the current state of the request, and any failures.
Path parameters
id (required)
Path Parameter — The ID of the Flow Analysis Rule
requestId (required)
Path Parameter — The ID of the Verification Request
Query parameters
Return type
Example data
Content-Type: application/json
{
"request" : {
"percentCompleted" : 0,
"componentId" : "componentId",
"uri" : "uri",
"submissionTime" : "2000-01-23T04:56:07.000+00:00",
"lastUpdated" : "2000-01-23T04:56:07.000+00:00",
"requestId" : "requestId",
"updateSteps" : [ {
"failureReason" : "failureReason",
"description" : "description",
"complete" : true
}, {
"failureReason" : "failureReason",
"description" : "description",
"complete" : true
} ],
"failureReason" : "failureReason",
"attributes" : {
"key" : "attributes"
},
"state" : "state",
"complete" : true,
"results" : [ {
"verificationStepName" : "verificationStepName",
"explanation" : "explanation",
"outcome" : "SUCCESSFUL"
}, {
"verificationStepName" : "verificationStepName",
"explanation" : "explanation",
"outcome" : "SUCCESSFUL"
} ],
"properties" : {
"key" : "properties"
}
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
VerifyConfigRequestEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/flow-analysis-rules
Gets all flow analysis rules (getFlowAnalysisRules)
Query parameters
Return type
Example data
Content-Type: application/json
{
"currentTime" : "currentTime",
"flowAnalysisRules" : [ {
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"comments" : "comments",
"deprecated" : true,
"enforcementPolicy" : "enforcementPolicy",
"parentGroupId" : "parentGroupId",
"multipleVersionsAvailable" : true,
"extensionMissing" : true,
"type" : "type",
"descriptors" : {
"key" : {
"supportsEl" : true,
"defaultValue" : "defaultValue",
"displayName" : "displayName",
"expressionLanguageScope" : "expressionLanguageScope",
"description" : "description",
"sensitive" : true,
"required" : true,
"dependencies" : [ {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
}, {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
} ],
"allowableValues" : [ {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
}, {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
} ],
"identifiesControllerService" : "identifiesControllerService",
"name" : "name",
"dynamic" : true
}
},
"sensitiveDynamicPropertyNames" : [ "sensitiveDynamicPropertyNames", "sensitiveDynamicPropertyNames" ],
"restricted" : true,
"supportsSensitiveDynamicProperties" : true,
"versionedComponentId" : "versionedComponentId",
"name" : "name",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"position" : {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
},
"state" : "ENABLED",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"persistsState" : true,
"validationStatus" : "VALID",
"properties" : {
"key" : "properties"
}
},
"id" : "id",
"uri" : "uri",
"operatePermissions" : {
"canRead" : true,
"canWrite" : true
},
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
},
"status" : {
"activeThreadCount" : 0,
"validationStatus" : "VALID",
"runStatus" : "ENABLED"
}
}, {
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"comments" : "comments",
"deprecated" : true,
"enforcementPolicy" : "enforcementPolicy",
"parentGroupId" : "parentGroupId",
"multipleVersionsAvailable" : true,
"extensionMissing" : true,
"type" : "type",
"descriptors" : {
"key" : {
"supportsEl" : true,
"defaultValue" : "defaultValue",
"displayName" : "displayName",
"expressionLanguageScope" : "expressionLanguageScope",
"description" : "description",
"sensitive" : true,
"required" : true,
"dependencies" : [ {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
}, {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
} ],
"allowableValues" : [ {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
}, {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
} ],
"identifiesControllerService" : "identifiesControllerService",
"name" : "name",
"dynamic" : true
}
},
"sensitiveDynamicPropertyNames" : [ "sensitiveDynamicPropertyNames", "sensitiveDynamicPropertyNames" ],
"restricted" : true,
"supportsSensitiveDynamicProperties" : true,
"versionedComponentId" : "versionedComponentId",
"name" : "name",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"position" : {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
},
"state" : "ENABLED",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"persistsState" : true,
"validationStatus" : "VALID",
"properties" : {
"key" : "properties"
}
},
"id" : "id",
"uri" : "uri",
"operatePermissions" : {
"canRead" : true,
"canWrite" : true
},
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
},
"status" : {
"activeThreadCount" : 0,
"validationStatus" : "VALID",
"runStatus" : "ENABLED"
}
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
FlowAnalysisRulesEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/registry-clients/{id}
Gets a flow registry client (getFlowRegistryClient)
Path parameters
id (required)
Path Parameter — The flow registry client id.
Query parameters
Return type
Example data
Content-Type: application/json
{
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"annotationData" : "annotationData",
"deprecated" : true,
"description" : "description",
"multipleVersionsAvailable" : true,
"extensionMissing" : true,
"type" : "type",
"descriptors" : {
"key" : {
"supportsEl" : true,
"defaultValue" : "defaultValue",
"displayName" : "displayName",
"expressionLanguageScope" : "expressionLanguageScope",
"description" : "description",
"sensitive" : true,
"required" : true,
"dependencies" : [ {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
}, {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
} ],
"allowableValues" : [ {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
}, {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
} ],
"identifiesControllerService" : "identifiesControllerService",
"name" : "name",
"dynamic" : true
}
},
"sensitiveDynamicPropertyNames" : [ "sensitiveDynamicPropertyNames", "sensitiveDynamicPropertyNames" ],
"restricted" : true,
"supportsBranching" : true,
"supportsSensitiveDynamicProperties" : true,
"name" : "name",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"validationStatus" : "VALID",
"properties" : {
"key" : "properties"
}
},
"id" : "id",
"position" : {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
},
"uri" : "uri",
"operatePermissions" : {
"canRead" : true,
"canWrite" : true
},
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
FlowRegistryClientEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/registry-clients
Gets the listing of available flow registry clients (getFlowRegistryClients)
Query parameters
Return type
Example data
Content-Type: application/json
{
"currentTime" : "currentTime",
"registries" : [ {
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"annotationData" : "annotationData",
"deprecated" : true,
"description" : "description",
"multipleVersionsAvailable" : true,
"extensionMissing" : true,
"type" : "type",
"descriptors" : {
"key" : {
"supportsEl" : true,
"defaultValue" : "defaultValue",
"displayName" : "displayName",
"expressionLanguageScope" : "expressionLanguageScope",
"description" : "description",
"sensitive" : true,
"required" : true,
"dependencies" : [ {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
}, {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
} ],
"allowableValues" : [ {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
}, {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
} ],
"identifiesControllerService" : "identifiesControllerService",
"name" : "name",
"dynamic" : true
}
},
"sensitiveDynamicPropertyNames" : [ "sensitiveDynamicPropertyNames", "sensitiveDynamicPropertyNames" ],
"restricted" : true,
"supportsBranching" : true,
"supportsSensitiveDynamicProperties" : true,
"name" : "name",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"validationStatus" : "VALID",
"properties" : {
"key" : "properties"
}
},
"id" : "id",
"position" : {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
},
"uri" : "uri",
"operatePermissions" : {
"canRead" : true,
"canWrite" : true
},
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
}
}, {
"bulletins" : [ {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
}, {
"sourceId" : "sourceId",
"canRead" : true,
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 5,
"nodeAddress" : "nodeAddress",
"bulletin" : {
"sourceId" : "sourceId",
"level" : "level",
"sourceType" : "sourceType",
"groupId" : "groupId",
"timestampIso" : "timestampIso",
"id" : 1,
"sourceName" : "sourceName",
"stackTrace" : "stackTrace",
"category" : "category",
"message" : "message",
"nodeAddress" : "nodeAddress",
"timestamp" : "timestamp"
},
"timestamp" : "timestamp"
} ],
"disconnectedNodeAcknowledged" : true,
"component" : {
"annotationData" : "annotationData",
"deprecated" : true,
"description" : "description",
"multipleVersionsAvailable" : true,
"extensionMissing" : true,
"type" : "type",
"descriptors" : {
"key" : {
"supportsEl" : true,
"defaultValue" : "defaultValue",
"displayName" : "displayName",
"expressionLanguageScope" : "expressionLanguageScope",
"description" : "description",
"sensitive" : true,
"required" : true,
"dependencies" : [ {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
}, {
"dependentValues" : [ "dependentValues", "dependentValues" ],
"propertyName" : "propertyName"
} ],
"allowableValues" : [ {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
}, {
"canRead" : true,
"allowableValue" : {
"displayName" : "displayName",
"description" : "description",
"value" : "value"
}
} ],
"identifiesControllerService" : "identifiesControllerService",
"name" : "name",
"dynamic" : true
}
},
"sensitiveDynamicPropertyNames" : [ "sensitiveDynamicPropertyNames", "sensitiveDynamicPropertyNames" ],
"restricted" : true,
"supportsBranching" : true,
"supportsSensitiveDynamicProperties" : true,
"name" : "name",
"validationErrors" : [ "validationErrors", "validationErrors" ],
"id" : "id",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"validationStatus" : "VALID",
"properties" : {
"key" : "properties"
}
},
"id" : "id",
"position" : {
"x" : 0.8008281904610115,
"y" : 6.027456183070403
},
"uri" : "uri",
"operatePermissions" : {
"canRead" : true,
"canWrite" : true
},
"revision" : {
"clientId" : "clientId",
"lastModifier" : "lastModifier",
"version" : 2
}
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
FlowRegistryClientsEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/nar-manager/nars/{id}/details
Retrieves the component types available from the installed NARs (getNarDetails)
Path parameters
id (required)
Path Parameter — The id of the NAR.
Query parameters
Return type
Example data
Content-Type: application/json
{
"controllerServiceTypes" : [ {
"deprecationReason" : "deprecationReason",
"controllerServiceApis" : [ {
"type" : "type"
}, {
"type" : "type"
} ],
"restricted" : true,
"description" : "description",
"explicitRestrictions" : [ {
"requiredPermission" : {
"id" : "id",
"label" : "label"
},
"explanation" : "explanation"
}, {
"requiredPermission" : {
"id" : "id",
"label" : "label"
},
"explanation" : "explanation"
} ],
"usageRestriction" : "usageRestriction",
"type" : "type",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"tags" : [ "tags", "tags" ]
}, {
"deprecationReason" : "deprecationReason",
"controllerServiceApis" : [ {
"type" : "type"
}, {
"type" : "type"
} ],
"restricted" : true,
"description" : "description",
"explicitRestrictions" : [ {
"requiredPermission" : {
"id" : "id",
"label" : "label"
},
"explanation" : "explanation"
}, {
"requiredPermission" : {
"id" : "id",
"label" : "label"
},
"explanation" : "explanation"
} ],
"usageRestriction" : "usageRestriction",
"type" : "type",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"tags" : [ "tags", "tags" ]
} ],
"reportingTaskTypes" : [ null, null ],
"narSummary" : {
"identifier" : "identifier",
"coordinate" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"installComplete" : true,
"sourceIdentifier" : "sourceIdentifier",
"buildTime" : "buildTime",
"createdBy" : "createdBy",
"sourceType" : "sourceType",
"digest" : "digest",
"extensionCount" : 0,
"state" : "state",
"failureMessage" : "failureMessage"
},
"flowAnalysisRuleTypes" : [ null, null ],
"parameterProviderTypes" : [ null, null ],
"processorTypes" : [ null, null ],
"flowRegistryClientTypes" : [ null, null ],
"dependentCoordinates" : [ {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
}, {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
NarDetailsEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/nar-manager/nars
Retrieves summary information for installed NARs (getNarSummaries)
Query parameters
Return type
Example data
Content-Type: application/json
{
"currentTime" : "currentTime",
"narSummaries" : [ {
"narSummary" : {
"identifier" : "identifier",
"coordinate" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"installComplete" : true,
"sourceIdentifier" : "sourceIdentifier",
"buildTime" : "buildTime",
"createdBy" : "createdBy",
"sourceType" : "sourceType",
"digest" : "digest",
"extensionCount" : 0,
"state" : "state",
"failureMessage" : "failureMessage"
}
}, {
"narSummary" : {
"identifier" : "identifier",
"coordinate" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"installComplete" : true,
"sourceIdentifier" : "sourceIdentifier",
"buildTime" : "buildTime",
"createdBy" : "createdBy",
"sourceType" : "sourceType",
"digest" : "digest",
"extensionCount" : 0,
"state" : "state",
"failureMessage" : "failureMessage"
}
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
NarSummariesEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/nar-manager/nars/{id}
Retrieves the summary information for the NAR with the given identifier (getNarSummary)
Path parameters
id (required)
Path Parameter — The id of the NAR.
Query parameters
Return type
Example data
Content-Type: application/json
{
"controllerServiceTypes" : [ {
"deprecationReason" : "deprecationReason",
"controllerServiceApis" : [ {
"type" : "type"
}, {
"type" : "type"
} ],
"restricted" : true,
"description" : "description",
"explicitRestrictions" : [ {
"requiredPermission" : {
"id" : "id",
"label" : "label"
},
"explanation" : "explanation"
}, {
"requiredPermission" : {
"id" : "id",
"label" : "label"
},
"explanation" : "explanation"
} ],
"usageRestriction" : "usageRestriction",
"type" : "type",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"tags" : [ "tags", "tags" ]
}, {
"deprecationReason" : "deprecationReason",
"controllerServiceApis" : [ {
"type" : "type"
}, {
"type" : "type"
} ],
"restricted" : true,
"description" : "description",
"explicitRestrictions" : [ {
"requiredPermission" : {
"id" : "id",
"label" : "label"
},
"explanation" : "explanation"
}, {
"requiredPermission" : {
"id" : "id",
"label" : "label"
},
"explanation" : "explanation"
} ],
"usageRestriction" : "usageRestriction",
"type" : "type",
"bundle" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"tags" : [ "tags", "tags" ]
} ],
"reportingTaskTypes" : [ null, null ],
"narSummary" : {
"identifier" : "identifier",
"coordinate" : {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
},
"installComplete" : true,
"sourceIdentifier" : "sourceIdentifier",
"buildTime" : "buildTime",
"createdBy" : "createdBy",
"sourceType" : "sourceType",
"digest" : "digest",
"extensionCount" : 0,
"state" : "state",
"failureMessage" : "failureMessage"
},
"flowAnalysisRuleTypes" : [ null, null ],
"parameterProviderTypes" : [ null, null ],
"processorTypes" : [ null, null ],
"flowRegistryClientTypes" : [ null, null ],
"dependentCoordinates" : [ {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
}, {
"artifact" : "artifact",
"version" : "version",
"group" : "group"
} ]
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
NarDetailsEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/cluster/nodes/{id}
Gets a node in the cluster (getNode)
Path parameters
id (required)
Path Parameter — The node id.
Query parameters
Return type
Example data
Content-Type: application/json
{
"node" : {
"address" : "address",
"activeThreadCount" : 0,
"heartbeat" : "heartbeat",
"nodeStartTime" : "nodeStartTime",
"queued" : "queued",
"roles" : [ "roles", "roles" ],
"apiPort" : 6,
"connectionRequested" : "connectionRequested",
"flowFilesQueued" : 5,
"flowFileBytes" : 5,
"nodeId" : "nodeId",
"events" : [ {
"category" : "category",
"message" : "message",
"timestamp" : "timestamp"
}, {
"category" : "category",
"message" : "message",
"timestamp" : "timestamp"
} ],
"bytesQueued" : 1,
"status" : "status"
}
}
Produces
This API call produces the following media types according to the request header;
the media type will be conveyed by the response header.
Responses
200
NodeEntity
400
NiFi was unable to complete the request because it was invalid. The request should not be retried without modification.
401
Client could not be authenticated.
403
Client is not authorized to make this request.
404
The specified resource could not be found.
409
The request was valid but NiFi was not in the appropriate state to process it.
Up
get /controller/status/history
Gets status history for the node (getNodeStatusHistory)
[...]
